using System;
using System.Collections.Generic;
using System.Text;

namespace Vevo.Shared.DataAccess.Implementation
{
    internal class AccessDatabaseSql : IDatabaseSql
    {
        public string CreateBoolText( bool value )
        {
            return value.ToString();
        }

        public string CreateDateForComparison( string date )
        {
            return "#" + date + "#";
        }

        public string DateDiffWithToday( string fieldName )
        {
            return " DATEDIFF('D', " + fieldName + ", '" + DateTime.Today + "' )";
        }
        public string CreateDateFormat( string date )
        {
            return " FORMAT(" + date + ",'yyyy-mm-dd') ";
        }
        public string CreateHourFormat( string date )
        {
            return " FORMAT(" + date + ",'hh') ";
        }
        public string CreateMonthNameFormat( string date )
        {
            return " FORMAT(" + date + ",'MMM') ";
        }
        public string CreateMonthNumberFormat( string date )
        {
            return " FORMAT(" + date + ",'mm') ";
        }
        public string CreateYearFormat( string date )
        {
            return " FORMAT(" + date + ",'yyyy') ";
        }
        public string CreateMonthYearFormat( string date )
        {
            return " FORMAT(" + date + ",'MMM yyyy') ";
        }
        public string CreateYearMonthFormat( string date )
        {
            return " FORMAT(" + date + ",'yyyy mm') ";
        }
        public string CreateDivideFucntion( string standingNumber, string divisor )
        {
            return "(" + standingNumber + "/" + divisor + ")";
        }
        public string CreateConvertBoolToSumInt( string data )
        {
            return "SUM(CInt (" + data + ")*-1)";
        }
        public string AddTablePrefixIfNecessary( string sortBy, string table )
        {
            return table + "." + sortBy;
        }

        public string CreateIsNullFunction( string columnName )
        {
            return "IIf(IsNull(" + columnName + "),0," + columnName + ")";
        }

        public string CreateFalseToTrueBoolSortText()
        {
            return " DESC ";
        }
    }
}
