using System;
using com.paypal.sdk.services;
using com.paypal.sdk.profiles;
using Vevo.Domain;
using Vevo.WebAppLib;

/// <summary>
/// Summary description for PayPalProUSUtilities
/// </summary>
public static class PayPalProUSUtilities
{
    private static IAPIProfile CreateProfile()
    {
        IAPIProfile profile = ProfileFactory.createSignatureAPIProfile();
        profile.APIUsername = DataAccessContext.Configurations.GetValue( "PayPalAPIUserName" );
        profile.APIPassword = DataAccessContext.Configurations.GetValue( "PayPalAPIPassword" );
        profile.Environment = DataAccessContext.Configurations.GetValue( "PayPalEnvironment" );

        profile.Subject = string.Empty;
        profile.APISignature = DataAccessContext.Configurations.GetValue( "PayPalAPISignature" );
        return profile;
    }

    public static NVPCallerServices CreatePayPalAPI()
    {
        NVPCallerServices caller = new NVPCallerServices();
        caller.APIProfile = CreateProfile();
        return caller;
    }

    public static bool IsSandboxMode()
    {
        if (DataAccessContext.Configurations.GetValue( "PayPalEnvironment" ).ToLower() == "live")
            return false;
        else
            return true;
    }
}
