using System;
using System.Collections.Generic;
using System.Text;

namespace Vevo.Domain.Configurations
{
    public class Help : ICloneable
    {
        #region Private
        private string _keyName = String.Empty;
        private string _helpText = String.Empty;
        private Culture _defaultCulture;
        #endregion

        #region Public Constructors

        public Help( Culture defaultCulture )
        {
            _defaultCulture = defaultCulture;
        }

        #endregion

        #region Public Properties

        public static Help Null
        {
            get { return NullHelp.Instance; }
        }

        public virtual bool IsNull
        {
            get { return false; }
        }

        public string KeyName { get { return _keyName; } set { _keyName = value; } }
        public string HelpText { get { return _helpText; } set { _helpText = value; } }

        public Culture DefaultCulture { get { return _defaultCulture; } set { _defaultCulture = value; } }

        #endregion

        #region IClonable Members

        // Copy the whole aggregate (including locale)
        public object Clone()
        {
            Help newObject = (Help) MemberwiseClone();
            return newObject;
        }
        #endregion

        #region Public Method

        #endregion
    }
}
