using System;
using System.Collections.Generic;
using System.Text;

using Vevo.Domain.Shipping;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface IShippingWeightRateRepository
    {
        ShippingWeightRate Save( ShippingWeightRate shippingWeightRate );
        ShippingWeightRate GetOne( string shippingWeightRateID );
        void Delete( string shippingWeightRateID );
        void DeleteByShippingID( string shippingID );
        IList<ShippingWeightRate> GetAllByShippingID( string shippingID, string sortBy );

        IList<ShippingWeightRate> SearchShippingWeightRateItem(
            string shippingID,
            string sortBy,
            SearchFilter searchFilter,
            int startIndex,
            int endIndex,
            out int howManyItems );
        IList<TableSchemaItem> GetTableSchema();

    }
}
