﻿using System.Collections.Generic;
using System.Data;
using Vevo.Domain.Base;
using Vevo.Domain.Products;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface ISpecificationItemRepository
    {
        IList<ILocale> GetLocales( string specificationItemID );
        IList<TableSchemaItem> GetTableSchema();
        SpecificationItem Save( SpecificationItem specificationItem );
        void Delete( string specificationItemID );
        void DeleteLocalesByCultureID( string cultureID );
        void DeleteBySpecificationGroupID( string specificationGroupID );
        DataTable GetAll( Culture culture );
        IList<ProductSpecification> GetAllProductSpecificationValueByItemID( string specificationItemID );
        IList<ProductSpecification> GetAllProductSpecificationValueByItemIDAndValue( string specificationItemID, string specificationItemValue );
        SpecificationItem GetOne( Culture culture, string specificationItemID );
        SpecificationItem GetOneByName( Culture culsture, string name );
        IList<SpecificationItem> GetBySpecificationGroupID( Culture culture, string specificationGroupID );
        IList<SpecificationItem> SearchSpecificationItem(
                Culture culture,
                string specificationGroupID,
                string sortBy,
                SearchFilter searchfilter,
                int startIndex,
                int endIndex,
                out int howManyItems
            );
        bool IsSpecificationItemNameExist(string name, string specificationGroupID);
    }
}
