using System;
using System.Data;
using System.Collections.Generic;
using System.Configuration;

using Vevo.Domain;
using Vevo.Domain.Configurations;
using Vevo.Domain.Orders;

namespace Vevo.Domain.Payments
{
    public class ProcessPayPalPaymentResult
    {
        public string GatewayOrderID;
        public string ErrorMessage;
        public string PaymentLog;

        public ProcessPayPalPaymentResult()
        {
            GatewayOrderID = String.Empty;
            ErrorMessage = String.Empty;
            PaymentLog = String.Empty;
        }
    }


    /// <summary>
    /// Summary description for OnPayPalProUsPaymentMethod
    /// </summary>
    public abstract class OnPayPalProUSPaymentMethod : PaymentMethod
    {
        public OnPayPalProUSPaymentMethod()
            : base()
        {
        }

        public abstract bool ProcessPayment(
            decimal amount,
            Currency currency,
            Culture culture,
            CheckoutDetails checkout,
            out ProcessPaymentResult result );

    }
}
