using System;
using System.Collections.Generic;
using System.Text;

namespace Vevo.Domain.Payments
{
    public class PaymentLog : ICloneable
    {
        #region Private

        private string _paymentLogID = "0";
        private string _orderID = "0";
        private DateTime _timeStamp = DateTime.Now;
        private string _paymentResponse = String.Empty;
        private string _paymentGateway = String.Empty;
        private string _paymentType = String.Empty;

        #endregion

        #region Public Constructors

        public PaymentLog()
        { }

        #endregion

        #region Public Properties

        public static PaymentLog Null
        {
            get { return NullPaymentLog.Instance; }
        }

        public virtual bool IsNull
        {
            get { return false; }
        }

        public string PaymentLogID { get { return _paymentLogID; } set { _paymentLogID = value; } }
        public string OrderID { get { return _orderID; } set { _orderID = value; } }
        public DateTime TimeStamp { get { return _timeStamp; } set { _timeStamp = value; } }
        public string PaymentResponse { get { return _paymentResponse; } set { _paymentResponse = value; } }
        public string PaymentGateway { get { return _paymentGateway; } set { _paymentGateway = value; } }
        public string PaymentType { get { return _paymentType; } set { _paymentType = value; } }

        #endregion

        #region IClonable Members

        // Copy the whole aggregate (including locale)
        public object Clone()
        {
            PaymentLog newObject = (PaymentLog) MemberwiseClone();
            return newObject;
        }

        #endregion

        #region Public Method

        #endregion

    }
}
