using System;
using System.Collections.Generic;
using System.Text;

namespace Vevo.Domain.Shipping
{
    [Serializable]
    public class ShippingOptionType
    {
        #region Enum Type

        public enum TypeEnum
        {
            Fixed,
            PerItem,
            ByWeight,
            ByOrderTotal
        }

        #endregion


        #region Public Constances

        public const string FedExTypeName = "FedEx";
        public const string UpsTypeName = "UPS";
        public const string UspsTypeName = "USPS";

        #endregion


        #region Private

        private string _shippingOptionTypeID = "0";
        private string _typeName = String.Empty;
        private string _displayName = String.Empty;
        private bool _isRealTime = false;
        private string _realTimeGatewayClassName = String.Empty;
        private string _providerClassName = String.Empty;
        private string _adminMainControl = String.Empty;

        #endregion


        #region Public Properties

        public static ShippingOptionType Null
        {
            get { return NullShippingOptionType.Instance; }
        }

        public virtual bool IsNull
        {
            get { return false; }
        }

        public string ShippingOptionTypeID { get { return _shippingOptionTypeID; } set { _shippingOptionTypeID = value; } }
        public string TypeName { get { return _typeName; } set { _typeName = value; } }
        public string DisplayName { get { return _displayName; } set { _displayName = value; } }
        public bool IsRealTime { get { return _isRealTime; } set { _isRealTime = value; } }
        public string RealTimeGatewayClassName { get { return _realTimeGatewayClassName; } set { _realTimeGatewayClassName = value; } }
        public string ProviderClassName { get { return _providerClassName; } set { _providerClassName = value; } }
        public string AdminMainControl { get { return _adminMainControl; } set { _adminMainControl = value; } }

        #endregion

    }
}
