using System;
using System.Collections.Generic;
using System.Text;

namespace Vevo.Domain.Users
{
    public class State : ICloneable
    {
        #region Private

        private string _countryCode = String.Empty;
        private string _stateCode = String.Empty;
        private string _stateName = String.Empty;
        private int _sortOrder = 1;
        private bool _enabled = true;

        #endregion


        #region Public Constructors

        public State()
        {
        }

        #endregion


        #region Public Properties

        public static State Null
        {
            get { return NullState.Instance; }
        }

        public virtual bool IsNull
        {
            get { return false; }
        }

        public string CountryCode { get { return _countryCode; } set { _countryCode = value; } }
        public string StateCode { get { return _stateCode; } set { _stateCode = value; } }
        public string StateName { get { return _stateName; } set { _stateName = value; } }
        public int SortOrder { get { return _sortOrder; } set { _sortOrder = value; } }
        public bool Enabled { get { return _enabled; } set { _enabled = value; } }

        #endregion


        #region IClonable Members

        // Copy the whole aggregate (including locale)
        public object Clone()
        {
            State newObject = (State) MemberwiseClone();
            return newObject;
        }

        #endregion


        #region Public Method

        #endregion
    }
}
