using System;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Vevo.DataAccessLib;
using Vevo.Domain;
using Vevo.Domain.Configurations;
using Vevo.WebAppLib;

namespace Vevo.WebUI.International
{
    /// <summary>
    /// Summary description for CultureConfigs
    /// </summary>
    public class CultureConfigs
    {
        private static string[] _configurationNames = {
            "DefaultWebsiteLanguage",
            "UrlCultureName",
            "LanguageKeywordBaseCulture"
        };


        public bool UseCultureName( string cultureName )
        {
            for (int i = 0; i < _configurationNames.Length; i++)
            {
                if (String.Compare( cultureName, DataAccessContext.Configurations.GetValue( _configurationNames[i] ), true ) == 0)
                    return true;
            }

            return false;
        }

        public void RenameCultureName( string oldName, string newName )
        {
            for (int i = 0; i < _configurationNames.Length; i++)
            {
                if (String.Compare( oldName, DataAccessContext.Configurations.GetValue( _configurationNames[i] ), true ) == 0)
                {
                    DataAccessContext.ConfigurationRepository.UpdateValue(
                        DataAccessContext.Configurations[_configurationNames[i]],
                        newName );
                }
            }

            SystemConfig.Load();
        }

    }
}
